AlmaLinux 2249 Published by

A nodejs:14 security, bug fix, and enhancement update has been released for AlmaLinux 8.



ALSA-2023:0050 Moderate: nodejs:14 security, bug fix, and enhancement update


Type:
security

Severity:
moderate

Release date:
2023-01-10

Description
The following packages have been upgraded to a later upstream version: nodejs (14.21.1), nodejs-nodemon (2.0.20).
Security Fix(es):
* minimist: prototype pollution (CVE-2021-44906)
* node-fetch: exposure of sensitive information to an unauthorized actor (CVE-2022-0235)
* nodejs-minimatch: ReDoS via the braceExpand function (CVE-2022-3517)
* express: "qs" prototype poisoning causes the hang of the node process (CVE-2022-24999)
* nodejs: DNS rebinding in inspect via invalid octal IP address (CVE-2022-43548)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
RHSA-2023:0050
CVE-2021-44906
CVE-2022-0235
CVE-2022-24999
CVE-2022-3517
CVE-2022-43548
ALSA-2023:0050

Updates packages:
nodejs-docs-14.21.1-2.module_el8.7.0+3373+a4c18c43.noarch.rpm
nodejs-nodemon-2.0.20-2.module_el8.7.0+3373+a4c18c43.noarch.rpm
Packages/nodejs-packaging-23-3.module_el8.4.0+2522+3bd42762.noarch.rpm
nodejs-14.21.1-2.module_el8.7.0+3373+a4c18c43.x86_64.rpm
nodejs-devel-14.21.1-2.module_el8.7.0+3373+a4c18c43.x86_64.rpm
nodejs-full-i18n-14.21.1-2.module_el8.7.0+3373+a4c18c43.x86_64.rpm
npm-6.14.17-1.14.21.1.2.module_el8.7.0+3373+a4c18c43.x86_64.rpm
nodejs-14.21.1-2.module_el8.7.0+3373+a4c18c43.aarch64.rpm
npm-6.14.17-1.14.21.1.2.module_el8.7.0+3373+a4c18c43.aarch64.rpm
nodejs-full-i18n-14.21.1-2.module_el8.7.0+3373+a4c18c43.aarch64.rpm
nodejs-devel-14.21.1-2.module_el8.7.0+3373+a4c18c43.aarch64.rpm
nodejs-devel-14.21.1-2.module_el8.7.0+3373+a4c18c43.s390x.rpm
nodejs-full-i18n-14.21.1-2.module_el8.7.0+3373+a4c18c43.s390x.rpm
nodejs-14.21.1-2.module_el8.7.0+3373+a4c18c43.s390x.rpm
npm-6.14.17-1.14.21.1.2.module_el8.7.0+3373+a4c18c43.s390x.rpm
nodejs-full-i18n-14.21.1-2.module_el8.7.0+3373+a4c18c43.ppc64le.rpm
npm-6.14.17-1.14.21.1.2.module_el8.7.0+3373+a4c18c43.ppc64le.rpm
nodejs-14.21.1-2.module_el8.7.0+3373+a4c18c43.ppc64le.rpm
nodejs-devel-14.21.1-2.module_el8.7.0+3373+a4c18c43.ppc64le.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:0050 Moderate: nodejs:14 security, bug fix, and enhancement update